## souphttpsrc souphttpsrc — Receive data as a client over the network via HTTP using SOUP |

## Properties

gboolean | automatic-redirect | Read / Write
GStrv | cookies | Read / Write
gchar * | iradio-genre | Read
gboolean | iradio-mode | Read / Write
gchar * | iradio-name | Read
gchar * | iradio-title | Read
gchar * | iradio-url | Read
gchar * | location | Read / Write
gchar * | proxy | Read / Write
gchar * | user-agent | Read / Write
gboolean | is-live | Read / Write
gchar * | proxy-id | Read / Write
gchar * | proxy-pw | Read / Write
gchar * | user-id | Read / Write
gchar * | user-pw | Read / Write
GstStructure * | extra-headers | Read / Write
guint | timeout | Read / Write

## Types and Values

struct | GstSoupHTTPSrc

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstBaseSrc
                    ╰── GstPushSrc
                        ╰── GstSoupHTTPSrc

## Implemented Interfaces

GstSoupHTTPSrc implements GstURIHandler.

## Description

## Synopsis

### Element Information

plugin | soup
author | Wouter Cloetens <wouter@mind.be>
class | Source/Network

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstSoupHTTPSrc

    struct GstSoupHTTPSrc;

## Property Details

### The `“automatic-redirect”` property

      “automatic-redirect”       gboolean

Automatically follow HTTP redirects (HTTP Status Code 3xx).

Flags: Read / Write

Default value: TRUE

### The `“cookies”` property

      “cookies”                  GStrv

HTTP request cookies.

Flags: Read / Write

### The `“iradio-genre”` property

      “iradio-genre”             gchar *

Genre of the stream.

Flags: Read

Default value: NULL

### The `“iradio-mode”` property

      “iradio-mode”              gboolean

Enable internet radio mode (extraction of shoutcast/icecast metadata).

Flags: Read / Write

Default value: FALSE

### The `“iradio-name”` property

      “iradio-name”              gchar *

Name of the stream.

Flags: Read

Default value: NULL

### The `“iradio-title”` property

      “iradio-title”             gchar *

Name of currently playing song.

Flags: Read

Default value: NULL

### The `“iradio-url”` property

      “iradio-url”               gchar *

Homepage URL for radio stream.

Flags: Read

Default value: NULL

### The `“location”` property

      “location”                 gchar *

Location to read from.

Flags: Read / Write

Default value: ""

### The `“proxy”` property

      “proxy”                    gchar *

HTTP proxy server URI.

Flags: Read / Write

Default value: ""

### The `“user-agent”` property

      “user-agent”               gchar *

Value of the User-Agent HTTP request header field.

Flags: Read / Write

Default value: "GStreamer souphttpsrc "

### The `“is-live”` property

      “is-live”                  gboolean

Act like a live source.

Flags: Read / Write

Default value: FALSE

### The `“proxy-id”` property

      “proxy-id”                 gchar *

HTTP proxy URI user id for authentication.

Flags: Read / Write

Default value: ""

### The `“proxy-pw”` property

      “proxy-pw”                 gchar *

HTTP proxy URI user password for authentication.

Flags: Read / Write

Default value: ""

### The `“user-id”` property

      “user-id”                  gchar *

HTTP location URI user id for authentication.

Flags: Read / Write

Default value: ""

### The `“user-pw”` property

      “user-pw”                  gchar *

HTTP location URI user password for authentication.

Flags: Read / Write

Default value: ""

### The `“extra-headers”` property

      “extra-headers”            GstStructure *

Extra headers to append to the HTTP request.

Flags: Read / Write

### The `“timeout”` property

      “timeout”                  guint

Value in seconds to timeout a blocking I/O (0 = No timeout).

Flags: Read / Write

Allowed values: <= 3600

Default value: 0